BDU:2021-01745: Уязвимость сервера базы данных evolution-data-server, связанная с недостаточной нейтрализацией специальных элементов в запросе, позволяющая нарушителю оказать воздействие на целостность данных

Описание уязвимости Уязвимость сервера базы данных evolution-data-server связана с ошибкой буферизации STARTTLS, которая может повлиять на SMTP и POP3. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, оказать воздействие на целостность данных
Вендор Canonical Ltd., Сообщество свободного программного обеспечения, ООО «РусБИТех-Астра», Fedora Project, The GNOME Project
Наименование ПО Ubuntu, Debian GNU/Linux, Astra Linux Common Edition (запись в едином реестре российских программ №4433), Fedora, Evolution-data-server
Версия ПО
  • 16.04 LTS (Ubuntu)
  • 18.04 LTS (Ubuntu)
  • 9.0 (Debian GNU/Linux)
  • 2.12 «Орёл» (Astra Linux Common Edition)
  • 10.0 (Debian GNU/Linux)
  • 31 (Fedora)
  • 20.04 LTS (Ubuntu)
  • до 3.36.3 включительно (Evolution-data-server)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
  • Canonical Ltd. Ubuntu 16.04 LTS 32-bit
  • Canonical Ltd. Ubuntu 18.04 LTS
  • Сообщество свободного программного обеспечения Debian GNU/Linux 9.0
  • ООО «РусБИТех-Астра» Astra Linux Common Edition 2.12 «Орёл» (запись в едином реестре российских программ №4433)
  • Сообщество свободного программного обеспечения Debian GNU/Linux 10.0
  • Fedora Project Fedora 31
  • Canonical Ltd. Ubuntu 20.04 LTS
Тип ошибки Неверная нейтрализация особых элементов в выходных данных, используемых входящим компонентом («инъекция»)
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 17.07.2020
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 4,3)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,9)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для Evolution-data-server:
Обновление программного обеспечения до 3.38.3-1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета evolution-data-server) до 3.22.7-1+deb9u2 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета evolution-data-server) до 3.22.7-1+deb9u2 или более поздней версии

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4429-1

Для Fedora:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/QMBEZWA22EAYAZQWUX4KPEBER726KSIG/
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Инъекция
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения